Skip to navigation

Get Solvent by ID

Beta
Get a single Solvent by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

solvent_idstringRequired
ID of the Solvent.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
calculatedMolecularWeightdouble or nullOptional
The molecular weight of the solvent.
canonicalSmilesstringOptional
The SMILES representation of the solvent after standardization.
codestring or nullOptional

Optional company-specific identifier for this solvent (e.g., “MH”, “DH”). Unique across both salts and solvents within a tenant.

createdAtstringOptional
idstringOptional
modifiedAtstringOptional
molecularFormulastringOptional

The molecular formula (e.g., “H2O”).

molfilestringOptional
The molfile representation of the solvent.
namestringOptional

Errors

400
Solvent Get Request Bad Request Error
403
Solvent Get Request Forbidden Error
404
Solvent Get Request Not Found Error
429
Solvent Get Request Too Many Requests Error
500
Solvent Get Request Internal Server Error